Create Subcategory#
Adds a subcategory. Optional category_image is jpeg/png/jpg/gif, max 2 MB, stored as image. Requires manage-knowledge-hub-categories.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
categoryIdstringpathrequired
Base64 id from the matching list or builder. A raw numeric id is also accepted.
titlestringbodyrequired
Title. Max 255 characters
statusstringbodyrequired
published or draft
comment_statusstringbodyrequired
enabled, hidden, or locked
descriptionstringbody
Optional description
category_imagefilebody
Optional image
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/categories/MQ==/subcategories/create \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Basics' \
--form 'status=draft' \
--form 'comment_status=enabled'messagestring
Subcategory created successfully.
dataobject
Created subcategory with base64 id